Subject: bug#58376: [PATCH] Set the PARENTS argument for language environments

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Oct 2022 17:55:53 +0300

> From: समीर सिंह Sameer Singh <[email-masked]>
> Date: Sun, 9 Oct 2022 20:16:53 +0530
> Cc: [email-masked]
> 
>  > Also can we copy Microsoft keyboard layout for input methods?
> 
>  How do you mean "copy keyboard layout"?  We don't produce keyboard, so
>  what kind of "copy" is relevant?
> 
> I meant to say that can we have the same input methods as microsoft?
> Do they have some copyright on them or is it okay to copy?
> I needed them for input methods like Armenian and Syriac.
> From here: https://learn.microsoft.com/en-us/globalization/windows-keyboard-layouts 

I don't think placement of characters on keys is copyrightable, but
IANAL.  Richard, is there a problem here?